User
JWT Token Authentication. Enter "Bearer "
No response body
No content
GET /api/v1/dashboard/user/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
No response body
No content
JWT Token Authentication. Enter "Bearer "
No response body
No content
GET /api/v1/dashboard/user/{user_id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
No response body
No content
JWT Token Authentication. Enter "Bearer "
No response body
No content
DELETE /api/v1/dashboard/user/{user_id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
No response body
No content
JWT Token Authentication. Enter "Bearer "
No response body
No content
PATCH /api/v1/dashboard/user/{user_id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
No response body
No content
JWT Token Authentication. Enter "Bearer "
No response body
No content
GET /api/v1/dashboard/user/csv/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
No response body
No content
Create Forgot Password.
Forgot-password email sent
No content
POST /api/v1/dashboard/user/forgot-password/ HTTP/1.1
Accept: */*
Forgot-password email sent
No content
Retrieve User Info.
JWT Token Authentication. Enter "Bearer "
falseExample: false200Example: 200GET /api/v1/dashboard/user/info/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"muid": "text",
"full_name": "text",
"email": "name@gmail.com",
"mobile": "text",
"gender": "Male",
"dob": "2026-01-01",
"exist_in_guild": true,
"joined": "text",
"roles": "text",
"profile_pic": "text",
"dynamic_type": "text",
"user_domains": "text",
"user_endgoals": "text",
"interested_in_work": true,
"interested_in_gig_work": true,
"company": "text"
}
}Retrieve User Add Org.
falseExample: false200Example: 200GET /api/v1/dashboard/user/organization/ HTTP/1.1
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"org_id": "text",
"org_title": "text",
"dept_id": "text",
"dept_title": "text",
"is_alumni": true
}
}Create User Add Org.
falsefalseExample: false200Example: 200POST /api/v1/dashboard/user/organization/ HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 104
{
"department": "text",
"graduation_year": "text",
"organization": "text",
"is_alumni": true,
"is_student": false
}{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"department": "text",
"graduation_year": "text",
"organization": "text",
"is_alumni": true,
"is_student": false
}
}Retrieve User Add Org.
falseExample: false200Example: 200GET /api/v1/dashboard/user/organization/list/ HTTP/1.1
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"org_id": "text",
"org_title": "text",
"dept_id": "text",
"dept_title": "text",
"is_alumni": true
}
}Create User Add Org.
falsefalseExample: false200Example: 200POST /api/v1/dashboard/user/organization/list/ HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 104
{
"department": "text",
"graduation_year": "text",
"organization": "text",
"is_alumni": true,
"is_student": false
}{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"department": "text",
"graduation_year": "text",
"organization": "text",
"is_alumni": true,
"is_student": false
}
}Retrieve User Preferences.
JWT Token Authentication. Enter "Bearer "
falseExample: false200Example: 200GET /api/v1/dashboard/user/preferences/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"muid": "text",
"full_name": "text",
"email": "name@gmail.com",
"mobile": "text",
"gender": "Male",
"dob": "2026-01-01",
"exist_in_guild": true,
"joined": "text",
"roles": "text",
"profile_pic": "text",
"dynamic_type": "text",
"user_domains": "text",
"user_endgoals": "text",
"interested_in_work": true,
"interested_in_gig_work": true,
"company": "text"
}
}Partially update User Preferences.
JWT Token Authentication. Enter "Bearer "
falseExample: false200Example: 200PATCH /api/v1/dashboard/user/preferences/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"muid": "text",
"full_name": "text",
"email": "name@gmail.com",
"mobile": "text",
"gender": "Male",
"dob": "2026-01-01",
"exist_in_guild": true,
"joined": "text",
"roles": "text",
"profile_pic": "text",
"dynamic_type": "text",
"user_domains": "text",
"user_endgoals": "text",
"interested_in_work": true,
"interested_in_gig_work": true,
"company": "text"
}
}Create User Profile Picture.
falseExample: false200Example: 200POST /api/v1/dashboard/user/profile/update/ HTTP/1.1
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"muid": "text",
"full_name": "text",
"email": "name@gmail.com",
"mobile": "text",
"gender": "Male",
"dob": "2026-01-01",
"exist_in_guild": true,
"joined": "text",
"roles": "text",
"profile_pic": "text",
"dynamic_type": "text",
"user_domains": "text",
"user_endgoals": "text",
"interested_in_work": true,
"interested_in_gig_work": true,
"company": "text"
}
}Partially update User Profile Picture.
falseExample: false200Example: 200PATCH /api/v1/dashboard/user/profile/update/ HTTP/1.1
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"muid": "text",
"full_name": "text",
"email": "name@gmail.com",
"mobile": "text",
"gender": "Male",
"dob": "2026-01-01",
"exist_in_guild": true,
"joined": "text",
"roles": "text",
"profile_pic": "text",
"dynamic_type": "text",
"user_domains": "text",
"user_endgoals": "text",
"interested_in_work": true,
"interested_in_gig_work": true,
"company": "text"
}
}Create Reset Password Confirm.
Password reset confirmation
No content
POST /api/v1/dashboard/user/reset-password/{token}/ HTTP/1.1
Accept: */*
Password reset confirmation
No content
Create Reset Password Verify Token.
falseExample: false200Example: 200POST /api/v1/dashboard/user/reset-password/verify-token/{token}/ HTTP/1.1
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"muid": "text"
}
}Retrieve User Search.
falseExample: false200Example: 200GET /api/v1/dashboard/user/search/ HTTP/1.1
Accept: */*
{
"hasError": false,
"statusCode": 200,
"message": {
"general": [
"text"
]
},
"response": {
"id": "text",
"full_name": "text",
"muid": "text",
"interest_groups": "text",
"organizations": "text",
"profile_pic": "text",
"karma": "text"
}
}JWT Token Authentication. Enter "Bearer "
No response body
No content
GET /api/v1/dashboard/user/verification/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
No response body
No content
JWT Token Authentication. Enter "Bearer "
No response body
No content
DELETE /api/v1/dashboard/user/verification/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
No response body
No content
JWT Token Authentication. Enter "Bearer "
No response body
No content
PATCH /api/v1/dashboard/user/verification/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
No response body
No content
JWT Token Authentication. Enter "Bearer "
No response body
No content
GET /api/v1/dashboard/user/verification/{link_id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
No response body
No content
JWT Token Authentication. Enter "Bearer "
No response body
No content
DELETE /api/v1/dashboard/user/verification/{link_id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
No response body
No content
JWT Token Authentication. Enter "Bearer "
No response body
No content
PATCH /api/v1/dashboard/user/verification/{link_id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
No response body
No content
JWT Token Authentication. Enter "Bearer "
No response body
No content
GET /api/v1/dashboard/user/verification/csv/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
No response body
No content
Last updated
Was this helpful?

